MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/mixer_control.h File Reference

Functions which manipulate a mixer object. More...

`#include <glib.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Functions
struct mixer * | mixer_new (const struct mixer_plugin *plugin, void *ao, const struct config_param *param, GError **error_r)
void | mixer_free (struct mixer *mixer)
bool | mixer_open (struct mixer *mixer, GError **error_r)
void | mixer_close (struct mixer *mixer)
void | mixer_auto_close (struct mixer *mixer)
| Close the mixer unless the plugin's "global" flag is set.
int | mixer_get_volume (struct mixer *mixer, GError **error_r)
bool | mixer_set_volume (struct mixer *mixer, unsigned volume, GError **error_r)

## Detailed Description

Functions which manipulate a mixer object.

Definition in file mixer_control.h.

## Function Documentation

void mixer_auto_close | ( | struct mixer * | mixer | ) |

Close the mixer unless the plugin's "global" flag is set.

This is called when the audio_output is closed.

void mixer_close | ( | struct mixer * | mixer | ) |

void mixer_free | ( | struct mixer * | mixer | ) |

int mixer_get_volume | ( | struct mixer * | mixer,
|  | GError ** | error_r
| ) |  |

struct mixer* mixer_new | ( | const struct mixer_plugin * | plugin,
|  | void * | ao,
|  | const struct config_param * | param,
|  | GError ** | error_r
| ) |  | `[read]`

bool mixer_open | ( | struct mixer * | mixer,
|  | GError ** | error_r
| ) |  |

bool mixer_set_volume | ( | struct mixer * | mixer,
|  | unsigned | volume,
|  | GError ** | error_r
| ) |  |